export declare type Block = () => void;
export default class CodeGenerator {
    private indentWidth;
    private indentLevel;
    private startOfIndentLevel;
    output: string;
    print(maybeString?: string | null | false): void;
    printEmptyLine(): void;
    printNewline(): void;
    printOnNewline(maybeString?: string | null): void;
    printAndForceInline(content: string): void;
    printIndent(): void;
    withIndent(closure: Block): void;
    withinBlock(closure: Block): void;
}
