import CodeGenerator from './generator';
export declare type Block = () => void;
export interface Interface {
    name: string;
    extend?: string[];
}
export interface Import {
    specifiers: string[];
    source: string;
}
export declare function printPropertyKey(name: string, nullable: boolean, generator: CodeGenerator): void;
export declare function printExport(exported: Block, generator: CodeGenerator): void;
export declare function printImport({specifiers, source}: Import, generator: CodeGenerator): void;
export declare function printInterface({name, extend}: Interface, body: Block, generator: CodeGenerator): void;
export declare function printNamespace(name: string, body: Block, generator: CodeGenerator): void;
