"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_1 = require("./language");
class SpecialType {
    constructor(typeName, print) {
        this.typeName = typeName;
        this.print = print;
    }
}
exports.SpecialType = SpecialType;
exports.NullableFragment = new SpecialType('NullableFragment', (generator) => {
    generator.printOnNewline('type NullableFragment<T> = ');
    generator.withinBlock(() => {
        language_1.printPropertyKey('[P in keyof T]', true, generator);
        generator.print('T[P] | null');
    });
});
