import { GraphQLInputType, GraphQLType, GraphQLObjectType, GraphQLInterfaceType, GraphQLUnionType, GraphQLLeafType } from 'graphql';
import CodeGenerator from './generator';
export declare type GraphQLPrintableType = GraphQLLeafType | GraphQLObjectType | GraphQLInterfaceType | GraphQLUnionType;
export declare const builtInScalarMap: {
    [x: string]: string;
};
export declare function printInputGraphQLField(name: string, type: GraphQLInputType | undefined, generator: CodeGenerator): void;
export declare function printRootGraphQLType(type: GraphQLType, generator: CodeGenerator): void;
export declare function getRootGraphQLType(type: GraphQLType): GraphQLPrintableType;
